# Interface DirectiveTree

All Superinterfaces:
  `Tree`

All Known Subinterfaces:
  `ExportsTree, OpensTree, ProvidesTree, RequiresTree, UsesTree`

public interface DirectiveTree extends Tree
A super-type for all the directives in a ModuleTree.

Since:
  9

- ## Nested Class Summary

  ### Nested classes/interfaces declared in interface Tree

  `Tree.Kind`

- ## Method Summary

  ### Methods declared in interface Tree

  `accept, getKind`